import * as at from './actionTypes'

// export const ADD_URL = "ADD_URL"
// export const DELETE_ROUTE = "DELETE_ROUTE"
// export const CLEAR_ROUTE = "CLEAR_ROUTE"
// export const UPDATE_URL= "UPDATE_URL"

export const mkAddUrl = (url) => ({
  type: at.ADD_URL,
  payload: url
})
    

export const mkDeleteRoute = (i) => ({
  type: at.DELETE_ROUTE,
  payload: i
})
  
export const mkClearRoute = (i) => ({
  type: at.CLEAR_ROUTE,
  payload: i
})

export const mkUpdateRoute = (i, url) => ({
  type: at.UPDATE_URL,
  payload: {
    index: i,
    url: url
  }
})
